# Plan du site

* [Page d’accueil](/index_fr)

* [En savoir plus](/whatsyunohost_fr)

* [Documentation](/docs_fr)

    * Essayer YunoHost
       * [Avec la démo](/try_fr)    
       * [Avec un live usb](/try_at_home_fr)

    * [Guide de l’administrateur](/admindoc_fr)
        * [L’auto-hébergement](/selfhosting_fr)
        * [Matériel compatible](/hardware_fr)
        * [Guide d’installation](/install_fr)
            * [Sur la Brique Internet](/installation_brique_fr)
            * [Sur Raspberry Pi](/install_on_raspberry_fr)
            * [Sur Cubieboard](/install_on_cubieboard_fr)
            * [À partir de l’ISO](/install_iso_fr)
            * [Sur Debian](/install_on_debian_fr)
            * [Sur VirtualBox](/install_on_virtualbox_fr)
            * [Sur Docker](/docker_fr)
            * [Sur Vagrant](/vagrant_fr)
            * [Sur un conteneur DigitalOcean](/install_on_digitalocean_fr)
            * [Sur un serveur dédié](/install_on_dedicated_server_fr)
            * Étapes d’installation
               * [Graver ou copier l’ISO](/burn_or_copy_iso_fr)
               * [Démarrage et installation graphique](/boot_and_graphical_install_fr)
               * [Copier l’image YunoHost sur une carte SD](/copy_image_fr)
               * [Installation manuelle](/install_manually_fr)
               * [Brancher et démarrer votre serveur](/plug_and_boot_fr)
               * [Post-installation](/postinstall_fr)
        * Accès au serveur YunoHost : DNS, nom de domaine, fichier `hosts`
            * [Diagnostic d’un bon accès au serveur YunoHost](/diagnostic_fr)
            * [DNS - Système de nom de domaine](/dns_fr)
            * [Configuration du DNS chez son registar](/dns_config_fr)
              * [Chez OVH](/OVH_fr)
            * [Bureaux d’enregistrements de nom de domaine — Registrar](registar_fr)
            * [Utiliser le résolveur DNS de YunoHost](/dns_resolver_fr)
            * [Adresse IP dynamique : configuration d’un DynDNS](dns_dynamicip_fr)
            * [Accéder à son serveur dans son réseau local](/dns_local_network_fr)
        * [Fournisseurs d’accès à Internet](/isp_fr)
            * [Configuration générique de la box ou du routeur](/isp_box_config_fr)
            * [Free](/isp_free_fr)
            * [SFR](/isp_sfr_fr)
            * [Orange](/isp_orange_fr)
        * Applications
            * [Applications officielles](/apps_fr)
            * [Applications non officielles](/apps_in_progress_en)
            * [Mise à jour des applications](app_update_fr)
        * Administration
            * En ligne de commande
                * [Connexion à son serveur avec SSH](/ssh_fr)
                * [Administration avec la Moulinette](/moulinette_fr)
            * [Administration web](/admin_fr)
            * [Changer le mot de passe d’administration](/change_admin_password_fr)
        * [Courrier électronique](email_fr)
           * [Configuration d’un client email](email_configure_client_fr)
           * [Migration emails](email_migration_fr)
           * [Formulaires pour enlever son adresse IP des listes noires](blacklist_forms_fr)
           * [Mettre en place DKIM](dkim_fr)
        * Certificats
            * [Ajouter un certificat d’une autorité](/certificate_fr)
            * [Régénérer le certificat auto-signé](/regenerate_certificate_fr)
        * [Sécurité](/security_fr)
        * [Consulter les fichiers de log du système](/check_logfile_fr)
        * [Guide de dépannage](/troubleshooting_guide_fr)
        * [YunoHost service caché Tor](/torhiddenservice_fr)
        * [Débloquer une IP avec Fail2ban](/fail2ban_fr)

    * [Guide de l’utilisateur](/userdoc_fr)
        * [Interface utilisateur](user_interface)
        * [Configurer un client email](email_configure_client_fr)
        * [Utiliser la messagerie instantanée XMPP](/XMPP_fr)
        * [Applications officielles](/apps_fr)
           * [Baïkal](/app_baikal_fr)
           * [Firefox Sync](/app_ffsync_fr)
           * [Jappix](/app_jappix_fr)
           * [Owncloud](app_owncloud_fr)
           * [Tiny Tiny RSS](/app_ttrss_fr)
           * [Transmission](/app_transmission_fr)
           * [Radicale](/app_radicale_fr)
           * [RoundCube](/app_roundcube_fr)
           * [Minidlna](app_minidlna_fr)

    * [Guide du contributeur](/contribute_fr)
        * Développement
           * [Créer un environnement de développement](dev_fr)
           * [Présentation du fonctionnement de YunoHost](/package_list_fr)
           * Applications :
              * [Packager des applications](/packaging_apps_fr)
                 * [Manifeste](packaging_apps_manifest_fr)
                 * [Scripts](packaging_apps_scripts_fr)
                 * [Gestion des arguments](packaging_apps_arguments_management_fr)
                 * [Configuration Nginx](packaging_apps_nginx_conf_fr)
                 * [Multi-instance](packaging_apps_multiinstance_fr)
                 * [Commandes pratiques](packaging_apps_helpers_fr)
              * [Packages d’applications en cours de développement](/apps_in_progress_fr)
              * [Liste de proposition d’applications](/apps_wishlist_fr)
           * [Création de paquets système](/build_system_fr)
           * [Création de paquets Debian](/build_packages_fr)
           * [Créer une image pour carte ARM](/build_arm_image_en)
           * [Créer une image live USB](/create_live_usb_fr)
           * [Builder Openresty](/build_openresty_fr)
        * Documentation
           * [Création d’un compte pour l’édition de la documentation](/accounting_fr)
           * [Écrire de la documentation](/write_documentation_fr)
        * [Contribution](/contributordoc_fr)

* Vie du projet :
   * [Journal des modifications v.2.0](/changelog_2_0_en)
   * [Journal des modifications v.2.2](/changelog_2_2_en)
   * [Feuille de route](/roadmap_en)
   * [Foire aux questions](/faq_fr)
   * [Contributeurs](contribs_fr)
   * [Entraide - support](/support_fr)
   * [Blog](https://forum.yunohost.org/c/announcement)
   * [Conférences](/conf_fr)
   * [Communication extérieure](communication_fr)
   * [Travail artistique](artworks_fr)
   * [Aide](/help_fr)
